package com.rjconsultores.ventaboletos.entidad;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "CAJA_DIVERSOS_PAGO")
public class CajaDiversosPago implements java.io.Serializable {

	private static final long serialVersionUID = 591550428860169139L;

	@Id
	@Column(name = "CAJADIVERSOSPAGO_ID", unique = true, nullable = false, precision = 15, scale = 0)
	private Long cajaDiversosPagoId;

	@ManyToOne
	@JoinColumn(name = "CAJATARJETA_ID")
	private CajaTarjeta cajaTarjeta;

	@ManyToOne
	@JoinColumn(name = "CAJADIVERSOS_ID")
	private CajaDiversos cajaDiversos;

	@ManyToOne
	@JoinColumn(name = "FORMAPAGO_ID")
	private FormaPago formaPago;

	@Column(name = "IMPORTE", precision = 7)
	private BigDecimal importe;

	@Column(name = "NODO_ID", precision = 2, scale = 0)
	private Byte nodoId;

	@Column(name = "INDREPLICA", precision = 1, scale = 0)
	private Boolean indreplica;

	@Column(name = "ACTIVO", precision = 1, scale = 0)
	private Boolean activo;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECMODIF", length = 7)
	private Date fecmodif;

	@Column(name = "USUARIO_ID", precision = 7, scale = 0)
	private Integer usuarioId;

	public Long getCajaDiversosPagoId() {
		return cajaDiversosPagoId;
	}

	public void setCajaDiversosPagoId(Long cajaDiversosPagoId) {
		this.cajaDiversosPagoId = cajaDiversosPagoId;
	}

	public CajaTarjeta getCajaTarjeta() {
		return cajaTarjeta;
	}

	public void setCajaTarjeta(CajaTarjeta cajaTarjeta) {
		this.cajaTarjeta = cajaTarjeta;
	}

	public CajaDiversos getCajaDiversos() {
		return cajaDiversos;
	}

	public void setCajaDiversos(CajaDiversos cajaDiversos) {
		this.cajaDiversos = cajaDiversos;
	}

	public FormaPago getFormaPago() {
		return formaPago;
	}

	public void setFormaPago(FormaPago formaPago) {
		this.formaPago = formaPago;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public Byte getNodoId() {
		return nodoId;
	}

	public void setNodoId(Byte nodoId) {
		this.nodoId = nodoId;
	}

	public Boolean getIndreplica() {
		return indreplica;
	}

	public void setIndreplica(Boolean indreplica) {
		this.indreplica = indreplica;
	}

	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFecmodif() {
		return fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

}
